#!/bin/bash
source gpio.sh
# GPIO Hilfsdatei einfuegen

echo '
Raspberry Pi Shield Demo
Druecke einen Schalter auf dem Shield um die 
entsprechende LED zu aktivieren. 
STRG + C um das Programm zu beenden.
';

while :
do
  if  [ $(switchNorth) = 1 ]
  # falls Schalter North gedrueckt ist
  then
        echo "North gedrueckt"
        ledNorthOn       
        # North gedrueckt ausgeben und die entsprechende LED anschalten
  else
        ledNorthOff
        # sonst die LED ausschalten
  fi

  if  [ $(switchEast) = 1 ]
  then
        echo "East gedrueckt"
        ledEastOn
  else
        ledEastOff
  fi
  
  if  [ $(switchWest) = 1 ]
  then
        echo "West gedrueckt"
        ledWestOn
  else
        ledWestOff
  fi
  
  if  [ $(switchSouth) = 1 ]
  then
        echo "South gedrueckt"
        ledSouthOn
  else
        ledSouthOff
  fi    

done

