
float getLM75B();

:Begin:
:Function:       getLM75B
:Pattern:        getLM75B[]
:Arguments:      { }
:ArgumentTypes:  { }
:ReturnType:     Float
:End:

:Evaluate: getLM75B::usage = "getLM75B[] gives the Temperature in degree Celsius."


int getMCP3002 P(( int ));

:Begin:
:Function:       getMCP3002
:Pattern:        getMCP3002[channel_Integer]
:Arguments:      { channel }
:ArgumentTypes:  { Integer }
:ReturnType:     Integer
:End:

:Evaluate: getMCP3002::usage = "getMCP3002[channel] gives 10 bit reading (0-1023) of the choosen ADC channel 0-1."


void setPinMode P(( int, int));

:Begin:
:Function:       setPinMode
:Pattern:        setPinMode[pin_Integer, mode_Integer]
:Arguments:      { pin, mode }
:ArgumentTypes:  { Integer, Integer }
:ReturnType:     Manual
:End:

:Evaluate: setPinMode::usage = "setPinMode[pin, mode] set the given pin to 0 (Input), 1 (Output) or 2 (PWM Output)."



void setDigitalWrite P(( int, int));

:Begin:
:Function:       setDigitalWrite
:Pattern:        setDigitalWrite[pin_Integer, value_Integer]
:Arguments:      { pin, value }
:ArgumentTypes:  { Integer, Integer }
:ReturnType:     Manual
:End:

:Evaluate: setDigitalWrite::usage = "setDigitalWrite[pin, value] writes a digital value (0-1) to the pin."



void setPwmWrite P(( int, int));

:Begin:
:Function:       setPwmWrite
:Pattern:        setPwmWrite[pin_Integer, value_Integer]
:Arguments:      { pin, value }
:ArgumentTypes:  { Integer, Integer }
:ReturnType:     Manual
:End:

:Evaluate: setPwmWrite::usage = "setPwmWrite[pin, value] writes a pwm value (0-1023) to the pin."


int getDigitalRead P(( int));

:Begin:
:Function:       getDigitalRead
:Pattern:        getDigitalRead[pin_Integer]
:Arguments:      { pin }
:ArgumentTypes:  { Integer }
:ReturnType:     Integer
:End:

:Evaluate: getDigitalRead::usage = "getDigitalRead[pin] gives the digital reading (0 or 1) of the pin."



