#!/bin/bash
# LED
# GPIO als Ausgang deklarieren und Hilfsfunktionen fuer Steuerung definieren
# LED gruen, norden
gpio export 18 out
ledNorthOn()
{
  gpio -g write 18 1
}

ledNorthOff()
{
  gpio -g write 18 0
}

# LED rot, east
gpio export 23 out
ledEastOn()
{
  gpio -g write 23 1
}

ledEastOff()
{
  gpio -g write 23 0
} 

# LED gelb, west
gpio export 25 out
ledWestOn()
{
  gpio -g write 25 1
}

ledWestOff()
{
  gpio -g write 25 0
} 

# LED blau, south
gpio export 24 out
ledSouthOn()
{
  gpio -g write 24 1
}

ledSouthOff()
{
  gpio -g write 24 0
} 

# LED, alle
ledOn()
{
  gpio -g write 18 1
  gpio -g write 23 1
  gpio -g write 25 1
  gpio -g write 24 1
}

ledOff()
{
  gpio -g write 18 0
  gpio -g write 23 0
  gpio -g write 25 0
  gpio -g write 24 0
}

ledBlinkFast()
{
  for i in {0..1}
  do
    ledOn
    sleep 0.25
    ledOff
    sleep 0.25 
  done
}

ledBlink()
{
  for i in {0..1}
  do
    ledOn
    sleep 0.5
    ledOff
    sleep 0.5
  done
}

# Switch
# GPIO als Eingang deklarieren und Hilfsfunktionen fuer Steuerung definieren

# Switch north
gpio export 4 in
switchNorth()
{
  echo `gpio -g read 4` 
}

# Switch east
gpio export 17 in
switchEast()
{
  echo `gpio -g read 17` 
}

# Switch west
gpio export 22 in
switchWest()
{
  echo `gpio -g read 22` 
}

# Switch south
gpio export 27 in
switchSouth()
{
  echo `gpio -g read 27` 
}
