#!/usr/bin/python
import wiringpi2 as wpi
from binascii import hexlify
from binascii import unhexlify 

mcp3002_channel=0

if wpi.wiringPiSPISetup(0,1000000) < 0:
  print("Kann den SPI Bus nicht oeffnen!")
else:   
  buffer =((6+mcp3002_channel)<<12)
  buffer = '{0:x}'.format(int(buffer))
  # Wandle den dezimalen Integer in einen 
  # hexadezimalen String um, ohne das Praefix
  # 0x davorzustellen   
  buffer = unhexlify(buffer)
  # Wandle den Hex String in einen Byte String um

  if (wpi.wiringPiSPIDataRW(0,buffer) == -1):
  # Anforderung auf den SPI Bus auf Slave 
  # Select 0 schreiben und
  # gleichzeitig (bi-direktional) mit der
  # Antwort den Buffer ueberschreiben
    print("Schreibfehler auf SPI Bus!\n")
  else:  
    buffer = hexlify(buffer)
    # Wandle den Byte String nach Hex um
    buffer = int(buffer, 16)
    # Wandle den Hex String in einen 
    # dezimalen Integer Wert um
    prozent = (buffer/1024.0)*100
    # Wandle dezimalen Integer in Prozentwert
    # der eingegangen Beleuchtungsstaerke um
    print("MCP3002 - Kanal %d: %4.2f Prozent" % (mcp3002_channel, prozent))
  