#!/usr/bin/python
import wiringpi2 as wpi

mcp3002_channel=0

if (wpi.wiringPiSPISetup(0, 1000000) < 0):
# Verbindung zu MCP3002 oeffnen
  print("Kann den SPI Bus nicht oeffnen!")
else:
  wpi.mcp3002Setup(64,mcp3002_channel)
  # MCP3002 Template laden, Kanal 0 auf virtuellen Port 64 legen
  buffer=wpi.analogRead(64)
  # Virtuellen Port 64 auslesen
  prozent = (buffer/1024.0)*100
  # Wandle dezimalen Integer in Prozentwert
  # der eingegangen Beleuchtungsstaerke um
  print("MCP3002 - Kanal %d: %4.2f Prozent" % (mcp3002_channel, prozent))
