#!/usr/bin/python
import wiringpi2 as wpi
from time import sleep
wpi.wiringPiSetupGpio()

LEDs=[18,23,24,25]
# LED Pins als Array fuer
# gruen, rot, blau, gelb
led_mode=1
# Variable welche den Wert
# haelt ob die LED ein oder
# ausgeschaltet werden soll

for led_pin in LEDs:
    wpi.pinMode(led_pin,1)
    wpi.digitalWrite(led_pin,0)
# Setup: Alle Pins mit LEDs
# als Ausgabe setzen und
# abschalten

while True:
    for led_pin in LEDs:
        wpi.digitalWrite(led_pin,led_mode)
        sleep(0.25)
    led_mode=not(led_mode)
# Loop: Jeweils pro Durchlauf
# alle LEDs in den jeweils gueltigen
# Mode setzen und danach den Mode
# negieren (An/Aus)
